Name:           perl-DBICx-AutoDoc
Version:        0.08
Release:        3%{?dist}
Summary:        Generate automatic documentation of DBIx::Class::Schema objects
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/DBICx-AutoDoc/
Source0:        http://www.cpan.org/authors/id/I/IL/ILMARI/DBICx-AutoDoc-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(inc::Module::Install)
BuildRequires:  perl(Module::Install::ExtraTests)
BuildRequires:  perl(Module::Install::Metadata)
BuildRequires:  perl(Module::Install::Scripts)
BuildRequires:  perl(Module::Install::WriteAll)
BuildRequires:  perl(Module::Install::AutoInstall)
BuildRequires:  perl(Module::Install::Share)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Class::Accessor::Grouped)
BuildRequires:  perl(CPAN)
BuildRequires:  perl(Data::Dump)
BuildRequires:  perl(DBIx::Class)
BuildRequires:  perl(DBIx::Class::Relationship::Helpers)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::ShareDir) >= 1.00
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(Pod::Usage)
BuildRequires:  perl(Template)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Tie::IxHash)
BuildRequires:  perl(base)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
DBICx::AutoDoc is a utility that can automatically generate documentation
for your DBIx::Class schemas. It works by collecting information from
several sources and arranging it into a format that makes it easier to deal
with from templates.

%prep
%setup -q -n DBICx-AutoDoc-%{version}
# Remove bundled modules
rm -r ./inc
sed -i -e '/^inc\//d' MANIFEST

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{_bindir}/dbicx-autodoc
%{_mandir}/man1/dbicx-autodoc.1.gz
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Thu Nov 03 2016 Emmanuel Seyman <emmanuel@seyman.fr> - 0.08-3
- Take into account review feedback (#1391291)

* Thu Oct 20 2016 Emmanuel Seyman <emmanuel@seyman.fr> - 0.08-2
- Add perl-generators as BuildRequires

* Mon Jul 27 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 0.08-1
- Specfile autogenerated by cpanspec 1.78.
